List liquidity shortfalls
curl --request GET \
--url https://api.paxoslabs.com/v2/amplify/liquidityShortfalls \
--header 'x-api-key: <api-key>'import requests
url = "https://api.paxoslabs.com/v2/amplify/liquidityShortfalls"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.paxoslabs.com/v2/amplify/liquidityShortfalls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"liquidityShortfalls": [
{
"vaultAddress": "0x1234567890abcdef1234567890abcdef12345678",
"chainId": 1,
"assetAddress": "0xabcdef1234567890abcdef1234567890abcdef12",
"shortfallAmount": "250.0",
"withdrawDemand": "1250.0",
"asOfTime": "2026-01-21T15:04:05Z"
}
],
"nextPageToken": "eyJvZmZzZXQiOjI1fQ==",
"tokenMetadata": {}
}{
"error": {
"code": 400,
"message": "Invalid filter syntax.",
"status": "INVALID_ARGUMENT",
"details": [
{
"@type": "type.paxoslabs.dev/errors/BadRequest",
"fieldViolations": [
{
"field": "filter",
"description": "vaultAddress 0x0x is an invalid hex address."
}
]
}
]
}
}{
"error": {
"code": 400,
"message": "Invalid filter syntax.",
"status": "INVALID_ARGUMENT",
"details": [
{
"@type": "type.paxoslabs.dev/errors/BadRequest",
"fieldViolations": [
{
"field": "filter",
"description": "vaultAddress 0x0x is an invalid hex address."
}
]
}
]
}
}{
"error": {
"code": 400,
"message": "Invalid filter syntax.",
"status": "INVALID_ARGUMENT",
"details": [
{
"@type": "type.paxoslabs.dev/errors/BadRequest",
"fieldViolations": [
{
"field": "filter",
"description": "vaultAddress 0x0x is an invalid hex address."
}
]
}
]
}
}Amplify
List liquidity shortfalls
Returns current liquidity shortfalls, indicating assets where demand exceeds available liquidity. Defaults: pageSize=25 (max 100); omit pageToken for the first page.
GET
/
v2
/
amplify
/
liquidityShortfalls
List liquidity shortfalls
Authorizations
API key in format: pxl_<public_id>_
Query Parameters
Maximum items per page. Default: 25. Min: 1, max: 100.
Required range:
1 <= x <= 100Example:
25
Opaque token for the next page. Omit for the first page.
Example:
"eyJvZmZzZXQiOjI1fQ=="
Filter string. Flags: vaultAddress, chainId, asset, assetAddress. Optional.
Example:
"chainId=1 AND vaultAddress=0x1234567890abcdef1234567890abcdef12345678"
Response
List of liquidity shortfalls
List of liquidity shortfalls
Show child attributes
Show child attributes
Token for the next page. null when there are no more results. Always present.
Example:
"eyJvZmZzZXQiOjI1fQ=="
Token metadata keyed by 'chainId:address'.
Show child attributes
Show child attributes
⌘I